Bug 222639 - Cannot print to photo (postcard) paper with HP Photosmart C4180 All-in-One
Cannot print to photo (postcard) paper with HP Photosmart C4180 All-in-One
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gqview (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 08:35 EST by Tim Wegener
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grep hp /var/log/messages > hp_messages.txt (4.88 KB, text/plain)
2007-01-15 08:38 EST, Tim Wegener
no flags Details
hp-check > hp-check_patched_output.txt 2>&1 (5.17 KB, text/plain)
2007-01-15 08:42 EST, Tim Wegener
no flags Details
/var/log/cups/error_log (17.00 KB, text/plain)
2007-01-16 06:59 EST, Tim Wegener
no flags Details
/var/log/cups/error_log (debug) (88.13 KB, text/plain)
2007-01-16 07:21 EST, Tim Wegener
no flags Details
/tmp/foomatic-rip.ps (debug) (18.25 MB, application/postscript)
2007-01-16 08:04 EST, Tim Wegener
no flags Details
/tmp/foomatic-rip.log (debug) (30.62 KB, text/plain)
2007-01-16 08:09 EST, Tim Wegener
no flags Details
/tmp/foomatic-rip.ps (debug) (printing from KView) (675.69 KB, application/postscript)
2007-01-16 08:25 EST, Tim Wegener
no flags Details
/tmp/foomatic-rip.log (debug) (printing from KView) (32.26 KB, text/plain)
2007-01-16 08:26 EST, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2007-01-15 08:35:45 EST
Description of problem:
Attempting to print a photo from gthumb (or other photo-viewing apps) results in
the printer doing nothing. The print job is reported as 'processing' in CUPS,
and then eventually just says stopped, with no error message or printer activity.

Printing with the C4180 on A4 paper works fine from the printconf testpage, from
the hp-toolbox testpage (which includes a color photo), and from Firefox.
Printing to photo paper using using the printer's memory card reader (i.e.
computer not involved) works fine. Scanning works fine.

Version-Release number of selected component (if applicable):
cups-1.2.7-1.5.fc6
hplip-1.6.10-1.fc6.4
foomatic-3.0.2-39.1.fc6
gthumb-2.7.8-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. gthumb
2. (select photo)
3. File->Print
4. Paper Details tab->Paper size->Custom->Width:4 inch Height:6 inch (but same
deal for selecting Postcard)
5. Layout tab->Center on page, 100% scaling
6. Print
7. Printer->Photosmart_C4100
8. Paper tab->Paper Size->Photo/4x6 inch index card
9. Print
  
Actual results:
foomatic-rip does something (visible in 'top') briefly
print job appears in CUPS and says 'stopped'
no printer activity

Expected results:
Photo to be printed on photo paper.

Additional info:
Relevant output of '/usr/sbin/lpinfo -v':
direct hal
direct hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7

Relevant output of 'lpstat -s':
no system default destination
device for Photosmart_C4100: hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7
device for Photosmart_C4100_series:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_5711_MY65CB919404J7_if1_printer_MY65CB919404J7

This problem occurred both before and after setting up the printer with hp-setup.
Comment 1 Tim Wegener 2007-01-15 08:38:24 EST
Created attachment 145572 [details]
grep hp /var/log/messages > hp_messages.txt
Comment 2 Tim Wegener 2007-01-15 08:42:17 EST
Created attachment 145573 [details]
hp-check > hp-check_patched_output.txt 2>&1

Note this output is from a patched 'check' script that fixes hp-check falling
over with a traceback.
Comment 3 Tim Waugh 2007-01-15 08:57:06 EST
What does 'lpstat -t' say?
Comment 4 Tim Wegener 2007-01-15 09:02:32 EST
Tried this from gqview:
1. File->Print...
2. Layout->Source:Image Layout:One Image per page Image size: 100%
3. Text->(all unchecked)
4. Paper->Format:Photo 6x4 Units:inches Orientation:Portrait Margins all 0
5. Printer->Destination:Custom printer Custom printer: lpr -P Photosmart_C4100
DPI:unlimited
6. Print
('top' shows 'foomatic-rip' running and briefly 'gs')

The printer display says 'Paper size or type incorrect, press OK to cancel job'
Doing so spits out the photo paper without printing.
Comment 5 Tim Wegener 2007-01-15 09:03:41 EST
Output from 'lpstat -t':
scheduler is running
no system default destination
device for Photosmart_C4100: hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7
device for Photosmart_C4100_series:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_5711_MY65CB919404J7_if1_printer_MY65CB919404J7
Photosmart_C4100 accepting requests since Tue 16 Jan 2007 12:30:18 AM CST
Photosmart_C4100_series accepting requests since Tue 16 Jan 2007 12:25:40 AM CST
printer Photosmart_C4100 is idle.  enabled since Tue 16 Jan 2007 12:30:18 AM CST
printer Photosmart_C4100_series disabled since Tue 16 Jan 2007 12:25:40 AM CST -
        Paused
Photosmart_C4100-12     tim           19116032   Mon 15 Jan 2007 11:54:39 PM CST
Comment 6 Tim Waugh 2007-01-15 09:16:47 EST
Can you attach /var/log/cups/error_log please?
Comment 7 Tim Wegener 2007-01-16 06:59:55 EST
Created attachment 145677 [details]
/var/log/cups/error_log
Comment 8 Tim Waugh 2007-01-16 07:05:52 EST
The pstops filter is giving this error:

E [16/Jan/2007:00:20:57 +1030] [Job 13] Bad %%BoundingBox: comment seen!

Please edit /etc/foomatic/filter.conf and add a line at the end:

debug: 1

Then submit your print job again and attach the resulting /tmp/foomatic-rip.ps
file here.  I would also like to see /tmp/foomatic-rip.log.  Thanks.
Comment 9 Tim Wegener 2007-01-16 07:21:13 EST
Created attachment 145681 [details]
/var/log/cups/error_log (debug)

This time I've turned on the debug loglevel in /etc/cups/cupsd.conf, reloaded
cups and tried to print. First from gthumb (until 22:39) and then from gqview.
(Note the gs core dump for the gthumb attempt.) With gqview the printer
complained about incorrect paper size again, and also printed some garbage text
on the photo paper, at which point I turned off the printer to get it to stop.
Comment 10 Tim Wegener 2007-01-16 08:04:27 EST
Created attachment 145686 [details]
/tmp/foomatic-rip.ps (debug)

(This is from an attempt to print a photo from gqview.)
Comment 11 Tim Wegener 2007-01-16 08:09:45 EST
Created attachment 145687 [details]
/tmp/foomatic-rip.log (debug)

(This is from an attempt to print a photo from gqview.)
Comment 12 Tim Wegener 2007-01-16 08:21:05 EST
Tried printing a photo from KView and got slightly further.
Actions:
1. File->Print
2. Image Settings-> Fit image and center image checked
3. Properties
4. General-> Orientation:Landscape Page Size:Photo/6x4 inch index card
5. Margins-> Use custom margins (all 0)
6. OK
7. Print

This prints albeit with borders (top:3mm bot:3mm right:9mm left:8mm), and very
poor quality (obvious pixellation/aliasing and dithering). The quality is much
worse than using the printer in stand-alone mode printing from a memory card.

Comment 13 Tim Wegener 2007-01-16 08:25:01 EST
Created attachment 145688 [details]
/tmp/foomatic-rip.ps (debug) (printing from KView)
Comment 14 Tim Wegener 2007-01-16 08:26:00 EST
Created attachment 145689 [details]
/tmp/foomatic-rip.log (debug) (printing from KView)
Comment 15 Tim Waugh 2007-01-16 09:29:04 EST
*This* bug report is about printing from gqview, and the resulting 'Paper size
or type incorrect, press OK to cancel job' printer display message.

For the 'print from kview' case, please file a separate bug report concerning
the quality.
Comment 16 Tim Wegener 2007-01-16 18:12:16 EST
I've submitted a new bug for the 'print from kview' case here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=222950
Comment 17 Tim Waugh 2007-07-04 08:52:19 EDT
gqview is not setting the PageSize option when it submits the job, and so the
default setting for the queue (A4 in this case) is used.
Comment 18 Michael Schwendt 2007-07-05 04:36:09 EDT
In gqview the source code that sets PageSize and some related
parameters is disabled. I've mailed the upstream developer about
it, and until I hear back I've prepared a test-build. Please
give it a try and tell whether it fixes the problem:

http://buildsys.fedoraproject.org/plague-results/fedora-6-extras/gqview/2.0.4-1.fc6.test1/
Comment 19 Michael Schwendt 2007-09-19 06:40:45 EDT
FC6 test-build has moved here:
http://mschwendt.fedorapeople.org/gqview/

The F8 development package is built with the same patch.
Comment 20 Bug Zapper 2008-04-04 01:36:39 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 21 Bug Zapper 2008-05-06 13:21:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.